Commit ba66da55 authored by intrigeri's avatar intrigeri

Add draft announcement for 3.0~beta1.

parent 297bf916
[[!meta title="Call for testing: 3.0~beta1"]]
[[!meta date="2017-02-02 11:00:00"]]
[[!tag announce]]
You can help Tails! The first beta for the upcoming version 3.0 is
out. We are very excited and cannot wait to hear what you think about
it :)
[[!toc levels=1]]
# What's new in 3.0~beta1?
Tails 3.0 will be the first version of Tails based on Debian 9
(Stretch). As such, it upgrades essentially all included software.
It also
[[requires a 64-bit processor|news/Tails_3.0_will_require_a_64-bit_processor]],
and GNOME Shell is now configured to use its default black theme.
Tails 3.0~beta1 fixes a lot of problems that Tails 3.0~alpha1 had.
Technical details of all the changes are listed in the
[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=feature/stretch).
# How to test Tails 3.0~beta1?
We will provide security updates for Tails 3.0~beta1, just like we do
for stable versions of Tails.
But **keep in mind that this is a test image**. We tested that it is
not broken in obvious ways, but it might still contain
undiscovered issues.
If you find anything that is not working as it should, please report to
us on <tails-testers@boum.org>.
Bonus points if you first check if it is a
<a href="#known_issues">known issue of this release</a> or a
[[longstanding known issue|support/known_issues]].
Download and install
--------------------
<a class="download-file use-mirror-pool" href="http://dl.amnesia.boum.org/tails/alpha/tails-amd64-3.0~beta1/tails-amd64-3.0~beta1.iso">Tails 3.0~beta1 ISO image</a>
<span class="openpgp-small-link">[[OpenPGP signature|torrents/files/tails-amd64-3.0~beta1.iso.sig]]</span>
To install 3.0~beta1, follow our usual
[[installation instructions|install]], skipping the **Download and
verify** step.
If you find anything that is not working as it should, please report to
us on <tails-testers@boum.org>.
Bonus points if you first check if it is a
<a href="#known_issues">known issue of this release</a> or a
[[longstanding known issue|support/known_issues]].
<a id="known_issues"></a>
Known issues in 3.0~beta1
=========================
* The documentation was not adjusted yet.
* The <span class="guilabel">Formats</span> settings chosen in Tails
Greeter have no effect ([[!tails_ticket 12079]]).
* There is no <span class="guilabel">Read-Only</span> feature for the
persistent volume anymore; it is not clear yet whether it will be
re-introduced in time for Tails 3.0 final ([[!tails_ticket 12093]]).
* Some commonly used ways to start graphical applications as the
`root` user do not work anymore. Some workarounds are documented on
[[!tails_ticket 12000]].
* If you use the *KeePassX* persistence feature, you need to manually
import your passwords database ([[!tails_ticket 10956]]).
* Some command-line programs (at least *Monkeysign*, *Git*, and
*wget*) display confusing error messages in the *Terminal*:
[[!tails_ticket 11736]], [[!tails_ticket 12091]],
[[!tails_ticket 12205]].
* *I2P* fails to start ([[!tails_ticket 12108]]). Note that the *I2P*
feature has not been maintained in Tails since more than a year, so
*I2P* [[!tails_ticket #11276#note-29 desc="may be removed"]] in
Tails 2.12 if this problem is not fixed soon.
* [Open tickets for Tails 3.0](https://labs.riseup.net/code/projects/tails/issues?per_page=100&query_id=198)
* [[Longstanding known issues|support/known_issues]]
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment